"""remove_unused_datasources

Revision ID: 505247d84608
Revises: fc062865782e
Create Date: 2022-04-04 18:03:33.575123

"""
from alembic import op
import sqlalchemy as sa
import adf.services.database.custom_types
from sqlalchemy.dialects import postgresql

# revision identifiers, used by Alembic.
revision = '505247d84608'
down_revision = 'fc062865782e'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('metrics_reports')
    op.drop_table('plc_api_reports')
    op.drop_table('split_reports')
    op.drop_table('data_reports')
    op.drop_table('data_sources')
    op.drop_table('streamlit_reports')
    op.drop_table('etl_reports')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('etl_reports',
    sa.Column('id', postgresql.UUID(), autoincrement=False, nullable=False),
    sa.Column('created_at', postgresql.TIMESTAMP(timezone=True), server_default=sa.text('CURRENT_TIMESTAMP'), autoincrement=False, nullable=True),
    sa.Column('updated_at', postgresql.TIMESTAMP(timezone=True), autoincrement=False, nullable=True),
    sa.Column('data_source_id', postgresql.UUID(), autoincrement=False, nullable=True),
    sa.Column('date', sa.DATE(), autoincrement=False, nullable=False),
    sa.Column('pipeline_id', postgresql.UUID(), autoincrement=False, nullable=True),
    sa.Column('version', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('extension', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('status', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('reason', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('latest_provision', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('overrides_id', postgresql.UUID(), autoincrement=False, nullable=True),
    sa.ForeignKeyConstraint(['data_source_id'], ['data_sources.id'], name='etl_reports_data_source_id_fkey'),
    sa.ForeignKeyConstraint(['overrides_id'], ['etl_reports.id'], name='etl_reports_overrides_id_fkey'),
    sa.ForeignKeyConstraint(['pipeline_id'], ['pipeline_reports.id'], name='etl_reports_pipeline_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='etl_reports_pkey'),
    sa.UniqueConstraint('data_source_id', 'date', 'version', name='etl_reports_data_source_id_date_version_key'),
    postgresql_ignore_search_path=False
    )
    op.create_table('streamlit_reports',
    sa.Column('id', postgresql.UUID(), autoincrement=False, nullable=False),
    sa.Column('created_at', postgresql.TIMESTAMP(timezone=True), server_default=sa.text('CURRENT_TIMESTAMP'), autoincrement=False, nullable=True),
    sa.Column('updated_at', postgresql.TIMESTAMP(timezone=True), autoincrement=False, nullable=True),
    sa.Column('input_mount', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('input_blob', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('pipeline_id', postgresql.UUID(), autoincrement=False, nullable=True),
    sa.Column('description', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('status', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('reason', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.ForeignKeyConstraint(['pipeline_id'], ['pipeline_reports.id'], name='streamlit_reports_pipeline_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='streamlit_reports_pkey')
    )
    op.create_table('data_sources',
    sa.Column('id', postgresql.UUID(), autoincrement=False, nullable=False),
    sa.Column('created_at', postgresql.TIMESTAMP(timezone=True), server_default=sa.text('CURRENT_TIMESTAMP'), autoincrement=False, nullable=True),
    sa.Column('updated_at', postgresql.TIMESTAMP(timezone=True), autoincrement=False, nullable=True),
    sa.Column('business_unit_id', postgresql.UUID(), autoincrement=False, nullable=True),
    sa.Column('source', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('parser', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('unique', sa.BOOLEAN(), autoincrement=False, nullable=False),
    sa.Column('landing_mount', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('landing_folder', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('landing_file_prefix', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('update_frequency', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('time_column', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('business_critical', sa.BOOLEAN(), autoincrement=False, nullable=False),
    sa.Column('split', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.ForeignKeyConstraint(['business_unit_id'], ['business_units.id'], name='data_sources_business_unit_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='data_sources_pkey'),
    sa.UniqueConstraint('business_unit_id', 'source', name='data_sources_business_unit_id_source_key'),
    postgresql_ignore_search_path=False
    )
    op.create_table('data_reports',
    sa.Column('id', postgresql.UUID(), autoincrement=False, nullable=False),
    sa.Column('created_at', postgresql.TIMESTAMP(timezone=True), server_default=sa.text('CURRENT_TIMESTAMP'), autoincrement=False, nullable=True),
    sa.Column('updated_at', postgresql.TIMESTAMP(timezone=True), autoincrement=False, nullable=True),
    sa.Column('etl_report_id', postgresql.UUID(), autoincrement=False, nullable=True),
    sa.Column('status', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.ForeignKeyConstraint(['etl_report_id'], ['etl_reports.id'], name='data_reports_etl_report_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='data_reports_pkey')
    )
    op.create_table('split_reports',
    sa.Column('id', postgresql.UUID(), autoincrement=False, nullable=False),
    sa.Column('data_source_id', postgresql.UUID(), autoincrement=False, nullable=True),
    sa.Column('created_at', postgresql.TIMESTAMP(timezone=True), server_default=sa.text('CURRENT_TIMESTAMP'), autoincrement=False, nullable=True),
    sa.Column('split_file', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('new_files', postgresql.ARRAY(sa.VARCHAR()), autoincrement=False, nullable=True),
    sa.Column('outputs_number', sa.INTEGER(), autoincrement=False, nullable=True),
    sa.Column('status', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('reason', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.Column('pipeline_id', postgresql.UUID(), autoincrement=False, nullable=True),
    sa.ForeignKeyConstraint(['data_source_id'], ['data_sources.id'], name='split_reports_data_source_id_fkey'),
    sa.ForeignKeyConstraint(['pipeline_id'], ['pipeline_reports.id'], name='split_reports_pipeline_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='split_reports_pkey')
    )
    op.create_table('plc_api_reports',
    sa.Column('id', postgresql.UUID(), autoincrement=False, nullable=False),
    sa.Column('created_at', postgresql.TIMESTAMP(timezone=True), server_default=sa.text('CURRENT_TIMESTAMP'), autoincrement=False, nullable=True),
    sa.Column('updated_at', postgresql.TIMESTAMP(timezone=True), autoincrement=False, nullable=True),
    sa.Column('country', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('division', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('type', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('date', sa.DATE(), autoincrement=False, nullable=False),
    sa.Column('status', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.PrimaryKeyConstraint('id', name='plc_api_reports_pkey'),
    sa.UniqueConstraint('country', 'division', 'type', 'date', name='plc_api_reports_country_division_type_date_key')
    )
    op.create_table('metrics_reports',
    sa.Column('id', postgresql.UUID(), autoincrement=False, nullable=False),
    sa.Column('etl_report_id', postgresql.UUID(), autoincrement=False, nullable=False),
    sa.Column('country', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('division', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('source', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('version', sa.INTEGER(), autoincrement=False, nullable=False),
    sa.Column('date', sa.DATE(), autoincrement=False, nullable=False),
    sa.Column('item', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('metric', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('metric_value', postgresql.DOUBLE_PRECISION(precision=53), autoincrement=False, nullable=True),
    sa.Column('status', sa.VARCHAR(), autoincrement=False, nullable=False),
    sa.Column('reason', sa.VARCHAR(), autoincrement=False, nullable=True),
    sa.ForeignKeyConstraint(['etl_report_id'], ['etl_reports.id'], name='metrics_reports_etl_report_id_fkey'),
    sa.PrimaryKeyConstraint('id', name='metrics_reports_pkey')
    )
    # ### end Alembic commands ###
